"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.imageComparatorPlugin = void 0;
const utils_1 = require("@vuepress/utils");
const imageComparatorPlugin = (options, app) => {
    return {
        name: "vuepress-plugin-image-comparator",
        extendsMarkdown: (md) => {
            md.use(require("./markdown/comparator").default, options);
        },
        clientAppEnhanceFiles: [
            utils_1.path.resolve(__dirname, '../client/clientAppEnhance.js'),
            utils_1.path.resolve(__dirname, '../client/clientAppEnhanceIcons.js')
        ]
    };
};
exports.imageComparatorPlugin = imageComparatorPlugin;
